Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface MonitorMBean

All Known Subinterfaces:
  CounterMonitorMBean, GaugeMonitorMBean, StringMonitorMBean

All Known Implementing Classes:
  CounterMonitor, GaugeMonitor, Monitor, StringMonitor

public interface MonitorMBean

Exposes the remote management interface of monitor MBeans.

Author:
  Young Yang

Method Summary
`long` | `getGranularityPeriod()` Gets the granularity period (in milliseconds).
`java.lang.String` | `getObservedAttribute()` Gets the attribute being observed.
`ObjectName` | `getObservedObject()` Gets the object name of the object being observed.
`boolean` | `isActive()` Tests if the monitor MBean is active.
`void` | `setGranularityPeriod(long period)` Sets the granularity period (in milliseconds).
`void` | `setObservedAttribute(java.lang.String attribute)` Sets the attribute to observe.
`void` | `setObservedObject(ObjectName object)` Sets the object to observe identified by its object name.

Method Detail

### getObservedObject

    public ObjectName getObservedObject()

  Gets the object name of the object being observed.

  Returns:
    The object being observed.

### setObservedObject

    public void setObservedObject(ObjectName object)

  Sets the object to observe identified by its object name.

  Parameters:
    `object` - The object to observe.

### getObservedAttribute

    public java.lang.String getObservedAttribute()

  Gets the attribute being observed.

  Returns:
    The attribute being observed.

### setObservedAttribute

    public void setObservedAttribute(java.lang.String attribute)

  Sets the attribute to observe.

  Parameters:
    `attribute` - The attribute to observe.

### getGranularityPeriod

    public long getGranularityPeriod()

  Gets the granularity period (in milliseconds).

  Returns:
    The granularity period.

### setGranularityPeriod

    public void setGranularityPeriod(long period)
                              throws java.lang.IllegalArgumentException

  Sets the granularity period (in milliseconds).

  Parameters:
    `period` - The granularity period.
  Throws:
    `java.lang.IllegalArgumentException` - The granularity period is less than or equal to zero.

### isActive

    public boolean isActive()

  Tests if the monitor MBean is active.

  Returns:
    `true` if the monitor MBean is active, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD